nxt.http.callers

## Class GetFxtTransactionCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetFxtTransactionCall>
  - - nxt.http.callers.GetFxtTransactionCall

-     public class GetFxtTransactionCall
      extends APICall.Builder<GetFxtTransactionCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetFxtTransactionCall` | `create()`
    `GetFxtTransactionCall` | `fullHash(byte[] fullHash)`
    `GetFxtTransactionCall` | `fullHash(java.lang.String fullHash)`
    `GetFxtTransactionCall` | `includeChildTransactions(boolean includeChildTransactions)`
    `GetFxtTransactionCall` | `requireBlock(java.lang.String requireBlock)`
    `GetFxtTransactionCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `GetFxtTransactionCall` | `transaction(long transaction)`
    `GetFxtTransactionCall` | `transaction(java.lang.String transaction)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetFxtTransactionCall create()

    - #### requireLastBlock

          public GetFxtTransactionCall requireLastBlock(java.lang.String requireLastBlock)

    - #### includeChildTransactions

          public GetFxtTransactionCall includeChildTransactions(boolean includeChildTransactions)

    - #### fullHash

          public GetFxtTransactionCall fullHash(java.lang.String fullHash)

    - #### fullHash

          public GetFxtTransactionCall fullHash(byte[] fullHash)

    - #### transaction

          public GetFxtTransactionCall transaction(java.lang.String transaction)

    - #### transaction

          public GetFxtTransactionCall transaction(long transaction)

    - #### requireBlock

          public GetFxtTransactionCall requireBlock(java.lang.String requireBlock)